package Objects;

public class Cottage {
    private int id;
    private String name;
    private String address;
    private String zip;
    private String city;
    private int numberPlaces;
    private int numberBedrooms;
    private int area;
    private int price;
    private Owner owner;

    public Cottage(int id, String name, String address, String zip, String city, int numberPlaces, int numberBedrooms, int area, int price, Owner owner) {
        this.id = id;
        this.name = name;
        this.address = address;
        this.zip = zip;
        this.city = city;
        this.numberPlaces = numberPlaces;
        this.numberBedrooms = numberBedrooms;
        this.area = area;
        this.price = price;
        this.owner = owner;
    }

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getAddress() {
        return address;
    }

    public String getZip() {
        return zip;
    }

    public String getCity() {
        return city;
    }

    public int getNumberPlaces() {
        return numberPlaces;
    }

    public int getNumberBedrooms() {
        return numberBedrooms;
    }

    public int getArea() {
        return area;
    }

    public int getPrice() {
        return price;
    }

    public Owner getOwner() {
        return owner;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public void setZip(String zip) {
        this.zip = zip;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public void setNumberPlaces(int numberPlaces) {
        this.numberPlaces = numberPlaces;
    }

    public void setNumberBedrooms(int numberBedrooms) {
        this.numberBedrooms = numberBedrooms;
    }

    public void setArea(int area) {
        this.area = area;
    }

    public void setPrice(int price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "N°" + id + " " + name + " " + address + ", " + zip + ", " + city + ". places: " + numberPlaces + ", bedrooms: " + numberBedrooms + ", area: " + area + ", price:" + price + ", id owner: " + owner.getId();
    }
}
